Name:           extundelete
Version:        0.1.8
Release:        2%{?dist}
Summary:        An ext3 and ext4 file system undeletion utility

Group:          Applications/System
License:        GPLv2+
URL:            http://extundelete.sourceforge.net
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  e2fsprogs-devel

# Patch0 : add -lcom_err to the linker flags, and use CXXFLAGS variable in Makefile, both will be fixed in next upstream release
Patch0:         %{name}-misc-fixes.patch
# Patch1 : fix a strict aliasing warning, patch approved by upstream. Next release will use a more robust way
Patch1:         %{name}-no-strict-aliasing-break.patch

%description
extundelete is a utility that can recover deleted files from an ext3 or ext4
partition. extundelete uses the information stored in the partition's journal
to attempt to recover a file that has been deleted from the partition. There is
no guarantee that any particular file will be able to be undeleted, so always
try to have a good backup system in place, or at least put one in place after
recovering your files!

%prep
%setup -q
%patch0 -p1 -b .misc-fixes
%patch1 -p1 -b .no-strict-aliasing-break

%build
cd src
make %{?_smp_mflags} CXXFLAGS="%{optflags}"


%install
rm -rf $RPM_BUILD_ROOT
install -Dpm 755 src/%{name} $RPM_BUILD_ROOT%{_bindir}/%{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc testing.txt README LICENSE
%{_bindir}/%{name}


%changelog
* Tue Apr 13 2010 Hicham HAOUARI <hicham.haouari@gmail.com> 0.1.8-2
- Fix miscellaneous issues ( https://bugzilla.redhat.com/show_bug.cgi?id=581723#c1 )

* Sun Apr 11 2010 Hicham HAOUARI <hicham.haouari@gmail.com> 0.1.8-1
- Initial rpm
